[pve-devel] Proxmox VE 7.2 released!

Martin Maurer martin at proxmox.com
Wed May 4 12:27:27 CEST 2022


Hi all,

we're excited to announce the release of Proxmox Virtual Environment 
7.2. It's based on Debian 11.3 "Bullseye" but using a newer Linux kernel 
5.15.30, QEMU 6.2, LXC 4, Ceph 16.2.7, and OpenZFS 2.1.4 and countless 
enhancements and bugfixes.

Here is a selection of the highlights

- Support for the accelerated virtio-gl (VirGL) display driver
- Notes templates for backup jobs (e.g. add the name of your VMs and CTs 
to the backup notes)
- Ceph erasure code support
- Updated existing and new LXC container templates (New: Ubuntu 22.04, 
Devuan 4.0, Alpine 3.15)
- ISO: Updated memtest86+ to the completely rewritten 6.0b version, 
adding support for UEFI and modern memory like DDR5
- and many more GUI enhancements

As always, we have included countless bugfixes and improvements on many 
places; see the release notes for all details.

Release notes
https://pve.proxmox.com/wiki/Roadmap#Proxmox_VE_7.2

Press release
https://www.proxmox.com/en/news/press-releases/proxmox-virtual-environment-7-2-available

Video tutorial
https://www.proxmox.com/en/training/video-tutorials/item/what-s-new-in-proxmox-ve-7-2

Download
https://www.proxmox.com/en/downloads
Alternate ISO download:
https://enterprise.proxmox.com/iso

Documentation
https://pve.proxmox.com/pve-docs

Community Forum
https://forum.proxmox.com

Bugtracker
https://bugzilla.proxmox.com

Source code
https://git.proxmox.com

We want to shout out a big THANK YOU to our active community for all 
your intensive feedback, testing, bug reporting and patch submitting!

FAQ
Q: Can I upgrade Proxmox VE 7.0 or 7.1 to 7.2 via GUI?
A: Yes.

Q: Can I upgrade Proxmox VE 6.4 to 7.2 with apt?
A: Yes, please follow the upgrade instructions on 
https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0

Q: Can I install Proxmox VE 7.2 on top of Debian 11.x "Bullseye"?
A: Yes, see 
https://pve.proxmox.com/wiki/Install_Proxmox_VE_on_Debian_11_Bullseye

Q: Can I upgrade my Proxmox VE 6.4 cluster with Ceph Octopus to 7.2 with 
Ceph Octopus/Pacific?
A: This is a two step process. First, you have to upgrade Proxmox VE 
from 6.4 to 7.2, and afterwards upgrade Ceph from Octopus to Pacific. 
There are a lot of improvements and changes, so please follow exactly 
the upgrade documentation:
https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0
https://pve.proxmox.com/wiki/Ceph_Octopus_to_Pacific

Q: Where can I get more information about feature updates?
A: Check the https://pve.proxmox.com/wiki/Roadmap, 
https://forum.proxmox.com/, the https://lists.proxmox.com/, and/or 
subscribe to our https://www.proxmox.com/en/news.
-- 
Best Regards,

Martin Maurer

martin at proxmox.com
https://www.proxmox.com




More information about the pve-devel mailing list